<?php
	$base = 'presentations/' . $presentation;
	$dir = __DIR__ . '/../' . $base;

	if (file_exists($dir . '/config.php'))
		include($dir . '/config.php');


?>



<!doctype html>


<?php

if (!isset($title))
	$title = "Cook Self Service";
?>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=1024" />
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <title><?php echo $title; ?></title>

    <meta name="description" content="" />
    <meta name="author" content="Jocelyn HUARD" />

    <link href="http://fonts.googleapis.com/css?family=Open+Sans:regular,semibold,italic,italicsemibold|PT+Sans:400,700,400italic,700italic|PT+Serif:400,700,400italic,700italic" rel="stylesheet" />

    <link href="css/impress.css" rel="stylesheet" />
    <link href="css/slides.css" rel="stylesheet" />

    <link rel="shortcut icon" href="favicon.png" />
    <link rel="apple-touch-icon" href="apple-touch-icon.png" />


    <link href="favicon.ico" rel="shortcut icon" type="image/vnd.microsoft.icon">
</head>

<!--

    Body element is used by impress.js to set some useful class names, that will allow you to detect
    the support and state of the presentation in CSS or other scripts.

    First very useful class name is `impress-not-supported`. This class means, that browser doesn't
    support features required by impress.js, so you should apply some fallback styles in your CSS.
    It's not necessary to add it manually on this element. If the script detects that browser is not
    good enough it will add this class, but keeping it in HTML means that users without JavaScript
    will also get fallback styles.

    When impress.js script detects that browser supports all required features, this class name will
    be removed.

    The class name on body element also depends on currently active presentation step. More details about
    it can be found later, when `hint` element is being described.

-->

<body>




	<div class="showroom impress-not-supported">





		<div class="fallback-message">
		    <p>Your browser <b>doesn't support the features required</b> by impress.js, so you are presented with a simplified version of this presentation.</p>
		    <p>For the best experience please use the latest <b>Chrome</b>, <b>Safari</b> or <b>Firefox</b> browser.</p>
		</div>

		<div id="impress">

		    <?php
		    $posX = 0;
			$posY = 0;
			$index = 0;

			$currentHeight = 0;

		    foreach ($slides as $slide): ?>


	<?php
			$scale = 1;
			$stepX = 1000;
			$stepY = $stepX * 0.8;
			$left = null;

			$defaultWidth = 1000;

			if (isset($slide['position']))
			{
				$pos = $slide['position'];

				if (isset($pos['scale']))
				{
					$scale = (float)$pos['scale'];

					$stepX = $stepX * $scale;
					$stepY = $stepY * $scale;
				}

				if (isset($pos['top']))
				{
					$top = $pos['top'];

					switch($top)
					{
						case 'next':
							$posY += $currentHeight;
							break;

						default:
							$posY = (int)$top;
							break;
					}
				}



				if (isset($pos['left']))
				{
					$left = $pos['left'];

					switch($left)
					{
						default:
							break;
					}
				}


			}


			if ($left !== null)
				$posX = (int)$left;

			else if ($index > 0)
				$posX += $stepX;



			$centerX = $posX + (($defaultWidth * $scale) / 2)

	?>

		    	<div id="<?php echo $slide['name']; ?>" class="step slide" data-x="<?php echo $centerX; ?>" data-y="<?php echo $posY; ?>" data-scale="<?php echo $scale; ?>">

					<?php

					if (isset($slide['content']))
						echo($slide['content']);
					else
					{
						require_once($dir . '/slides/' . $slide['name'] . '.php');
					}

					?>

		    	</div>

		    <?php

		    $currentHeight = $stepY;
		    $index++;
		    endforeach; ?>

		</div>

		<div class="hint">
		    <p>Use a spacebar or arrow keys to navigate</p>
		</div>
		<script>
		if ("ontouchstart" in document.documentElement) {
		    document.querySelector(".hint").innerHTML = "<p>Tap on the left or right to navigate</p>";
		}
		</script>

		<script src="js/jquery.min.js"></script>
		<script src="js/layout.js"></script>


		<script src="js/impress.js"></script>
		<script>
			Layout.initialize(function()
			{
				impress().init();
			});
		</script>

	</div>
</body>
</html>